[gnome-commander/ci_next_test] Evaluate return value of unit tests




commit d5deaef7c77fcc71054de272e69897dbd1f71a68
Author: Uwe Scholz <u scholz83 gmx de>
Date:   Sun Jan 30 19:59:56 2022 +0100

    Evaluate return value of unit tests

 .gitlab-ci.yml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index ed51dc89..ce095228 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -20,5 +20,6 @@ build-job:       # This job runs in the build stage, which runs first.
     - ./autogen.sh
     - make
     - echo "Compile complete. Starting Unit test phase..."
-    - make check || echo "Unit tests fail" && cat tests/test-suite.log && exit 1
+    - make check || exit_code=$?
+    - if [ $exit_code -ne 0 ]; then echo "Previous command failed"; cat tests/test-suite.log; exit 1; fi;
     - echo "Unit tests finished."


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]